import React, { createContext, useContext, useState, useEffect, } from 'react';
import { useConfig } from '@payloadcms/config-provider';
import { useSearchParams } from '../SearchParams';
const Context = createContext('');
export const LocaleProvider = ({ children }) => {
    const { localization } = useConfig();
    const defaultLocale = (localization && localization.defaultLocale) ? localization.defaultLocale : 'en';
    const [locale, setLocale] = useState(defaultLocale);
    const searchParams = useSearchParams();
    const localeFromParams = searchParams.locale;
    useEffect(() => {
        if (localeFromParams && localization.locales.indexOf(localeFromParams) > -1)
            setLocale(localeFromParams);
    }, [localeFromParams, localization]);
    return (React.createElement(Context.Provider, { value: locale }, children));
};
export const useLocale = () => useContext(Context);
export default Context;
